proc (3) = imts_linwei_pb(dta, bbb, pame, y);
    local nnn, aap, ccp, ddp, pameh, hh, gh, covh, reth, bb1, bb2, bb3, 
          dtap, pp, indh, iii, mmm, depp, bbp1, bbp2, bbp3, pamep, 
          pv1, pv2, pv3;

    {bb1, bb2, bb3} = imts_linwei(dta,pame);

    nnn   = rows(dta);
    pp    = cols(dta);
    indh  = dta[.,2:pp];
    aap   = pame[1,1];
    ccp   = pame[2:pp,1];
    ddp   = pame[1+pp,1];

    mmm  = zeros(bbb,3);
    iii  = 1;
    do until iii > bbb;

        depp = (-ln(rndu(nnn,1)) ./(aap*(exp(indh*ccp))))^(1/ddp);
        dtap = depp~indh;
        {pameh, hh, gh, covh, reth} = CML(dtap, 0, &pdflinwei, y);
        { bbp1, bbp2, bbp3 } = imts_linwei(dtap, pameh);

        mmm[iii,1] = (bbp1 .>= bb1);
        mmm[iii,2] = (bbp2 .>= bb2);
        mmm[iii,3] = (bbp3 .>= bb3);
        iii = iii + 1;
    endo;

    pv1 = meanc(mmm[.,1]);
    pv2 = meanc(mmm[.,2]);
    pv3 = meanc(mmm[.,3]);

    retp( pv1, pv2, pv3 );
endp;
